import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

class DocumentedMaze extends Maze {

    private Vector2D entrance, dir, exit;
    private double exitRadius;

    public DocumentedMaze(File in_file) throws FileNotFoundException {
        super(in_file);
        Scanner sc = new Scanner(in_file);
        sc.nextLine();
        sc.next();
        this.entrance = new Vector2D(sc.nextInt(), sc.nextInt());
        this.dir = new Vector2D(sc.nextInt(), sc.nextInt());
        this.exit = new Vector2D(sc.nextInt(), sc.nextInt());
        this.exitRadius = sc.nextInt();
    }

    public void setEntrance(int x, int y) {
        entrance.setTo(x, y);
    }

    public void setDirection(int x, int y) {
        dir.setTo(x, y);
    }

    public void setExit(int x, int y) {
        exit.setTo(x, y);
    }

    public void setExitRadius(int r) {
        exitRadius = r;
    }

    public Vector2D getEntrance() {
        return entrance;
    }

    public Vector2D getDirection() {
        return dir;
    }

    public Vector2D getExit() {
        return exit;
    }

    public double getExitRadius() {
        return exitRadius;
    }
}